
# Don't modify comment
module OptionDialogMod
 require 'wx'
 include Wx
 #[inc]add your include files here
 
 #[inc]end your include

 class OptionDialog < Dialog 
    def initialize(parent,id = -1,title = '',pos = Point.new(0,0),size = Size.new(200,185),style = DEFAULT_DIALOG_STYLE,name = 'dialogBox')
        super(parent,id,title,pos,size,style,name)
        initBefore()
        VwXinit()
        initAfter()

    end #end function

    def VwXinit()
        set_title('オプション')
        @stb7c = StaticBox.new(self,-1,"Tenco!へ自動報告",Point.new(0,0),Size.new(191,102))
        @ck_auto_report = CheckBox.new(@stb7c,-1,"",Point.new(21,21),Size.new(14,14))
        @st_auto_report = StaticText.new(@stb7c,-1,"",Point.new(46,21),Size.new(101,14),ST_NO_AUTORESIZE)
        @st_auto_report.set_label('自動で報告する')
        @st_auto_report.evt_left_up{|event|st_auto_report_VwXEvOnLeftUP(event)}
        @spc_auto_report_interval = SpinCtrl.new(@stb7c,-1,"",Point.new(16,61),Size.new(55,20))
        @bt_ok = Button.new(self,-1,"",Point.new(40,115),Size.new(60,20))
        @bt_ok.set_label('OK')
        @bt_ok.evt_button(@bt_ok.get_id()){|event|bt_ok_VwXEvOnButtonClick(event)}
        @bt_cancel = Button.new(self,-1,"",Point.new(115,115),Size.new(60,20))
        @bt_cancel.set_label('Cancel')
        @bt_cancel.evt_button(@bt_cancel.get_id()){|event|bt_cancel_VwXEvOnButtonClick(event)}
        @st10c = StaticText.new(@stb7c,-1,"",Point.new(20,40),Size.new(96,14),ST_NO_AUTORESIZE)
        @st10c.set_label('報告間隔')
        @st11c = StaticText.new(@stb7c,-1,"",Point.new(90,65),Size.new(76,14),ST_NO_AUTORESIZE)
        @st11c.set_label('(分: 15~)')
        refresh()
        @st_auto_report.set_focus();
    end
    def VwXDelComp()
    end

#[win]add your code here

    def st_auto_report_VwXEvOnLeftUP(event) #init function
        #[4a3]Code event VwX...Don't modify[4a3]#
        #add your code here
        @ck_auto_report.value = !@ck_auto_report.value
        event.skip()
    end #end function



    def bt_ok_VwXEvOnButtonClick(event) #init function
        #[468]Code event VwX...Don't modify[468]#
        #add your code here
        if @spc_auto_report_interval.value < 15 then
            message_box("報告間隔には15分以上の値を設定してください。",'警告',Wx::ICON_WARNING)
            return
        end
        option = {}
        option['auto_report_flag'] = @ck_auto_report.value
        option['auto_report_interval'] = @spc_auto_report_interval.value
        @parent.save_option(option)
        end_modal(Wx::ID_OK)
    end #end function

    def bt_cancel_VwXEvOnButtonClick(event) #init function
        #[469]Code event VwX...Don't modify[469]#
        #add your code here
        end_modal(Wx::ID_CANCEL)
    end #end function


    def initBefore()
        #add your code here

    end

    def initAfter()
        #add your code here
        @ck_auto_report.value = $option['auto_report_flag']
        @spc_auto_report_interval.value = $option['auto_report_interval']
    end
    
    def set_parent(parent)
        @parent = parent
    end

#[win]end your code
 end
end

